org.eclipse.cdt.core.model.util

## Class CDTListComparator

- java.lang.Object
- - org.eclipse.cdt.core.model.util.CDTListComparator

All Implemented Interfaces:
  Comparator<Object>

    public class CDTListComparator
    extends Object
    implements Comparator<Object>

### Constructor Summary

Constructors
Constructor and Description
`CDTListComparator()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `compare(Object a, Object b)`
`static Comparator<Object>` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### CDTListComparator

    public CDTListComparator()

### Method Detail

#### getInstance

    public static Comparator<Object> getInstance()

#### compare

    public int compare(Object a,
                       Object b)

Specified by:
  `compare` in interface `Comparator<Object>`